# ob_tidyhandler

(PHP 5, PHP 7)

ob_tidyhandler — ob_start callback function to repair the buffer

### Description

ob_tidyhandler ( string `$input` [, int `$mode` ] ) : string

Callback function for ob_start() to repair the buffer.

### Parameters

`input`

  The buffer.

`mode`

  The buffer mode.

### Return Values

Returns the modified buffer.

### Examples

Example #1 ob_tidyhandler() example

`<?php
ob_start('ob_tidyhandler');
echo '<p>test</i>';
?>`

The above example will output:

    <!DOCTYPE html PUBLIC "-//W3C//DTD HTML 3.2//EN">
    <html>
    <head>
    <title></title>
    </head>
    <body>
    <p>test</p>
    </body>
    </html>

### See Also

- ob_start() - Turn on output buffering